using System;
using System.Collections.Generic;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.WinControls;

namespace Demo_Project.Shape
{
    public class ShelveShape : ElementShape
    {
        public static int Height = 10;
        public override GraphicsPath CreatePath(Rectangle bounds)
        {
            var path = new GraphicsPath();
            path.AddPolygon(new Point[]
            {
                new Point(bounds.X + bounds.Width *1  / 70, bounds.Y + bounds.Height * 1 / 10),
                new Point(bounds.X + bounds.Width *70 / 70, bounds.Y + bounds.Height * 1 / 10),
                new Point(bounds.X + bounds.Width *70 / 70, bounds.Y + bounds.Height * 10/ 10),
                new Point(bounds.X + bounds.Width *1  / 70, bounds.Y + bounds.Height * 10/ 10),
            });
            return path;
        }
    }
}
